import { colors, lines } from '../assets/metro'
import { lineByName } from '../utils/metro'

function LineDot({ station }) {
    const line = lineByName(station)
    const lineTitle = lines[line]
    const color = colors[line]

    return <span title={`${lineTitle} ветка`} style={{ color: color }}>&#11044;</span>
}

export default LineDot
